Messages
Get message by ID
GET
/
v1
/
messages
/
{messageID}
Get message by ID
curl --request GET \
--url https://api.wazapin.com/v1/messages/{messageID}const options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/messages/{messageID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/messages/{messageID}"
response = requests.get(url)
print(response.text){
"channel_id": "<string>",
"content": "<unknown>",
"conversation_id": "<string>",
"created_at": "<string>",
"delivered_at": "<string>",
"direction": "<string>",
"error": "<string>",
"error_code": "<string>",
"external_message_id": "<string>",
"failed_at": "<string>",
"id": "<string>",
"max_retries": 123,
"metadata": "<unknown>",
"organization_id": "<string>",
"provider_message_id": "<string>",
"queued_at": "<string>",
"read_at": "<string>",
"retry_count": 123,
"sender_phone": "<string>",
"sending_at": "<string>",
"sent_at": "<string>",
"sent_by": "<string>",
"sent_via": "<string>",
"status": "<string>",
"to_phone": "<string>",
"type": "<string>",
"updated_at": "<string>",
"reply_preview": {
"has_resolved_content": true,
"text": "<string>",
"message_id": "<string>",
"provider_message_id": "<string>",
"sender_label": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Message ID
Response
OK
Show child attributes
Show child attributes
⌘I
Get message by ID
curl --request GET \
--url https://api.wazapin.com/v1/messages/{messageID}const options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/messages/{messageID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/messages/{messageID}"
response = requests.get(url)
print(response.text){
"channel_id": "<string>",
"content": "<unknown>",
"conversation_id": "<string>",
"created_at": "<string>",
"delivered_at": "<string>",
"direction": "<string>",
"error": "<string>",
"error_code": "<string>",
"external_message_id": "<string>",
"failed_at": "<string>",
"id": "<string>",
"max_retries": 123,
"metadata": "<unknown>",
"organization_id": "<string>",
"provider_message_id": "<string>",
"queued_at": "<string>",
"read_at": "<string>",
"retry_count": 123,
"sender_phone": "<string>",
"sending_at": "<string>",
"sent_at": "<string>",
"sent_by": "<string>",
"sent_via": "<string>",
"status": "<string>",
"to_phone": "<string>",
"type": "<string>",
"updated_at": "<string>",
"reply_preview": {
"has_resolved_content": true,
"text": "<string>",
"message_id": "<string>",
"provider_message_id": "<string>",
"sender_label": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}